## ros-rolling-launch 3.1.0

=== doc/Makefile ===
# Minimal makefile for Sphinx documentation
#

# You can set these variables from the command line.
SPHINXOPTS    =
SPHINXBUILD   = sphinx-build
SPHINXPROJ    = launch
SOURCEDIR     = source
BUILDDIR      = build

# Put it first so that "make" without argument is like "make help".
help:
	@$(SPHINXBUILD) -M help "$(SOURCEDIR)" "$(BUILDDIR)" $(SPHINXOPTS) $(O)

.PHONY: help Makefile

# Catch-all target: route all unknown targets to Sphinx using the new
# "make mode" option.  $(O) is meant as a shortcut for $(SPHINXOPTS).
%: Makefile
	@$(SPHINXBUILD) -M $@ "$(SOURCEDIR)" "$(BUILDDIR)" $(SPHINXOPTS) $(O)

## ros-rolling-launch 0.21.0

=== debian/changelog ===
ros-rolling-launch (0.21.0-1focal) focal; urgency=high

  * Use asyncio.wait with timeout rather than sleep (#576 <https://github.com/ros2/launch/issues/576>)
  * Make test_parser compatible with Python older than 3.8 (#575 <https://github.com/ros2/launch/issues/575>)
  * Propagate exceptions of completed actions to launch service main loop (#566 <https://github.com/ros2/launch/issues/566>)
  * Warn when loading launch extensions fails (#572 <https://github.com/ros2/launch/issues/572>)
  * Add in two fixes for Jammy (#571 <https://github.com/ros2/launch/issues/571>)
  * Contributors: Chris Lalancette, Scott K Logan, Shane Loretz, tumtom

 -- Aditya Pande <aditya.pande@openrobotics.org>  Fri, 14 Jan 2022 08:00:00 -0000

ros-rolling-launch (0.20.0-1focal) focal; urgency=high

  * Evaluate math symbols and functions in python expression (#557 <https://github.com/ros2/launch/issues/557>)
  * Document TimerAction params (#558 <https://github.com/ros2/launch/issues/558>)
  * Improve launch arguments introspection (#556 <https://github.com/ros2/launch/issues/556>)
  * Update maintainers to Aditya Pande and Michel Hidalgo (#559 <https://github.com/ros2/launch/issues/559>)
  * Updated maintainers (#555 <https://github.com/ros2/launch/issues/555>)
  * First prototype of native pytest plugin for launch based tests (#528 <https://github.com/ros2/launch/issues/528>)
  * Allow for raw path specification in IncludeLaunchDescription (#544 <https://github.com/ros2/launch/issues/544>)
  * Adding Executable description class (#454 <https://github.com/ros2/launch/issues/454>)
  * event handlers: Allow to match the target action with a callable and not only with an object instance (#540 <https://github.com/ros2/launch/issues/540>)
  * Add AppendEnvironmentVariable action (#543 <https://github.com/ros2/launch/issues/543>)
  * Document EnvironmentVariable substitution resolution context caveat (#541 <https://github.com/ros2/launch/issues/541>)
  * Feature clear launch configs (#515 <https://github.com/ros2/launch/issues/515>)
  * Add examples to ExecuteProcess docs (#525 <https://github.com/ros2/launch/issues/525>)
  * Fix DeclareLaunchArgument xml parsing and constructor (#529 <https://github.com/ros2/launch/issues/529>)
  * Fix pytest run on Windows (#526 <https://github.com/ros2/launch/issues/526>)
  * Improving docs (#523 <https://github.com/ros2/launch/issues/523>)
  * Add filtering mechanism for executable prefix application (#522 <https://github.com/ros2/launch/issues/522>)
  * Contributors: Aditya Pande, Audrow Nash, Cameron Miller, Christophe Bedard, David V. Lu!!, Derek Chopp, Immanuel Martini, Ivan Santiago Paunovic, roger-strain

 -- Aditya Pande <aditya.pande@openrobotics.org>  Mon, 29 Nov 2021 08:00:00 -0000

ros-rolling-launch (0.19.0-1focal) focal; urgency=high

  * Make each parser extension provide a set of file extensions (#516 <https://github.com/ros2/launch/issues/516>)
  * Contributors: Christophe Bedard

 -- William Woodall <william@osrfoundation.org>  Thu, 15 Jul 2021 07:00:00 -0000

ros-rolling-launch (0.18.0-1focal) focal; urgency=high

  * Add missing exec dependency on PyYAML (#493 <https://github.com/ros2/launch/issues/493>)
  * Refactor TimerAction to allow RosTimer to extend (#512 <https://github.com/ros2/launch/issues/512>)
  * Improve (Not)Equals condition type hinting (#510 <https://github.com/ros2/launch/issues/510>)
  * Contributors: HMellor, Rebecca Butler, Scott K Logan

 -- William Woodall <william@osrfoundation.org>  Fri, 18 Jun 2021 07:00:00 -0000

ros-rolling-launch (0.17.0-1focal) focal; urgency=high

  * Only try to wrap the fd in a socket on Windows (#498 <https://github.com/ros2/launch/issues/498>)
  * Close the socket pair used for signal management (#497 <https://github.com/ros2/launch/issues/497>)
  * Remove is_winsock_handle() and instead test if wrapping the handle in a socket.socket() works (#494 <https://github.com/ros2/launch/issues/494>)
  * Add frontend substitution for logging directory (#490 <https://github.com/ros2/launch/issues/490>)
  * Contributors: Ivan Santiago Paunovic, Jacob Perron

 -- William Woodall <william@osrfoundation.org>  Tue, 06 Apr 2021 07:00:00 -0000

ros-rolling-launch (0.16.0-1focal) focal; urgency=high

  * Add arg_choice arg to DeclareLaunchArguments (#483 <https://github.com/ros2/launch/issues/483>)
  * Contributors: Victor Lopez

 -- William Woodall <william@osrfoundation.org>  Fri, 19 Mar 2021 07:00:00 -0000

ros-rolling-launch (0.15.0-1focal) focal; urgency=high

  * Support Python 3.8-provided importlib.metadata (#482 <https://github.com/ros2/launch/issues/482>)
  * Workaround asyncio signal handling on Unix (#479 <https://github.com/ros2/launch/issues/479>)
  * Handle signals within the asyncio loop. (#476 <https://github.com/ros2/launch/issues/476>)
  * Support non-interactive launch.LaunchService runs (#475 <https://github.com/ros2/launch/issues/475>)
  * Contributors: Michel Hidalgo, Scott K Logan

 -- William Woodall <william@osrfoundation.org>  Mon, 25 Jan 2021 08:00:00 -0000

ros-rolling-launch (0.14.0-1focal) focal; urgency=high

  * print stderr message when command failed (#474 <https://github.com/ros2/launch/issues/474>)
  * Add frontend support for LogInfo action (#467 <https://github.com/ros2/launch/issues/467>)
  * Contributors: Jacob Perron, Takamasa Horibe

 -- William Woodall <william@osrfoundation.org>  Tue, 08 Dec 2020 08:00:00 -0000

ros-rolling-launch (0.13.0-1focal) focal; urgency=high

  * Validate unparsed attributes and subentities in launch_xml and launch_yaml (#468 <https://github.com/ros2/launch/issues/468>)
  * Fix bug in launch.actions.TimerAction.parse() (#470 <https://github.com/ros2/launch/issues/470>)
  * Allow configuring logging directory through environment variables (#460 <https://github.com/ros2/launch/issues/460>)
  * Update package maintainers (#465 <https://github.com/ros2/launch/issues/465>)
  * Expose Timer action in launch xml (#462 <https://github.com/ros2/launch/issues/462>)


=== debian/control ===
Source: ros-rolling-launch
Section: misc
Priority: optional
Maintainer: Aditya Pande <aditya.pande@openrobotics.org>
Build-Depends: debhelper (>= 9.0.0), python3-pytest, ros-rolling-ament-copyright, ros-rolling-ament-flake8, ros-rolling-ament-pep257, ros-rolling-osrf-pycommon, ros-rolling-ros-workspace, python3-all, python3-setuptools
Homepage: 
Standards-Version: 3.9.2

Package: ros-rolling-launch
Architecture: any
Depends: ${python3:Depends}, ${misc:Depends}, python3-importlib-metadata, python3-lark, python3-yaml, ros-rolling-ament-index-python, ros-rolling-osrf-pycommon, ros-rolling-ros-workspace
Description: The ROS launch tool.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
export DH_VERBOSE=1
# TODO: remove the LDFLAGS override.  It's here to avoid esoteric problems
# of this sort:
#  https://code.ros.org/trac/ros/ticket/2977
#  https://code.ros.org/trac/ros/ticket/3842
export LDFLAGS=
export PKG_CONFIG_PATH=/opt/ros/rolling/lib/pkgconfig
# Explicitly enable -DNDEBUG, see:
# 	https://github.com/ros-infrastructure/bloom/issues/327
export DEB_CXXFLAGS_MAINT_APPEND=-DNDEBUG

# Python package installation variables
export PYBUILD_INSTALL_ARGS=--prefix "/opt/ros/rolling" \
	--install-lib "\$$base/lib/{interpreter}/site-packages" \
	 --install-scripts "\$$base/bin" 

%:
	dh $@ -v --buildsystem=pybuild --with python3

override_dh_auto_configure:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/rolling/setup.sh" ]; then . "/opt/ros/rolling/setup.sh"; fi && \
	dh_auto_configure

override_dh_auto_build:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/rolling/setup.sh" ]; then . "/opt/ros/rolling/setup.sh"; fi && \
	dh_auto_build

override_dh_auto_test:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	echo -- Running tests. Even if one of them fails the build is not canceled.
	if [ -f "/opt/ros/rolling/setup.sh" ]; then . "/opt/ros/rolling/setup.sh"; fi && \
	dh_auto_test || true

override_dh_shlibdeps:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/rolling/setup.sh" ]; then . "/opt/ros/rolling/setup.sh"; fi && \
	dh_shlibdeps -l$(CURDIR)/debian/ros-rolling-launch//opt/ros/rolling/lib/

override_dh_auto_install:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/rolling/setup.sh" ]; then . "/opt/ros/rolling/setup.sh"; fi && \
	dh_auto_install

## ros-rolling-launch 3.1.0

=== debian/changelog ===
ros-rolling-launch (3.1.0-1jammy) jammy; urgency=high

  * Add maximum times for a process to respawn (#696 <https://github.com/ros2/launch/issues/696>)
  * Contributors: Santti4go

 -- Aditya Pande <aditya.pande@openrobotics.org>  Fri, 08 Sep 2023 00:00:00 -0000

ros-rolling-launch (3.0.1-1jammy) jammy; urgency=high

  * Add in a timeout for launch pytests. (#725 <https://github.com/ros2/launch/issues/725>)
  * Contributors: Chris Lalancette

 -- Aditya Pande <aditya.pande@openrobotics.org>  Thu, 07 Sep 2023 00:00:00 -0000

ros-rolling-launch (3.0.0-1jammy) jammy; urgency=high

  * Fix remaining occurrences of "There is no current event loop" (#723 <https://github.com/ros2/launch/issues/723>)
  * Update the launch code for newer flake8 and mypy. (#719 <https://github.com/ros2/launch/issues/719>)
  * Remove the deprecated some_actions_type.py (#718 <https://github.com/ros2/launch/issues/718>)
  * Contributors: Chris Lalancette

 -- Aditya Pande <aditya.pande@openrobotics.org>  Mon, 21 Aug 2023 00:00:00 -0000

ros-rolling-launch (2.2.1-1jammy) jammy; urgency=high

  * Improve launch file parsing error messages (#626 <https://github.com/ros2/launch/issues/626>)
  * Contributors: Timon Engelke

 -- Aditya Pande <aditya.pande@openrobotics.org>  Tue, 11 Jul 2023 00:00:00 -0000

ros-rolling-launch (2.2.0-1jammy) jammy; urgency=high

  * Add file-content launch substitution (#708 <https://github.com/ros2/launch/issues/708>)
  * Contributors: Scott K Logan

 -- Aditya Pande <aditya.pande@openrobotics.org>  Wed, 07 Jun 2023 00:00:00 -0000

ros-rolling-launch (2.1.0-1jammy) jammy; urgency=high



 -- Aditya Pande <aditya.pande@openrobotics.org>  Thu, 27 Apr 2023 00:00:00 -0000

ros-rolling-launch (2.0.1-1jammy) jammy; urgency=high

  * Document LaunchService.{run,run_async}() return value (#702 <https://github.com/ros2/launch/issues/702>)
  * Contributors: Christophe Bedard

 -- Aditya Pande <aditya.pande@openrobotics.org>  Wed, 12 Apr 2023 00:00:00 -0000

ros-rolling-launch (2.0.0-1jammy) jammy; urgency=high

  * [rosdoc2] Fix document generation on buildfarm (#701 <https://github.com/ros2/launch/issues/701>)
  * Enable document generation using rosdoc2 for ament_python pkgs (#697 <https://github.com/ros2/launch/issues/697>)
  * Remove the import of Literal from entity.py. (#694 <https://github.com/ros2/launch/issues/694>)
  * Fix flake8 errors. (#695 <https://github.com/ros2/launch/issues/695>)
  * add symlink to latest log directory (#686 <https://github.com/ros2/launch/issues/686>)
  * Improve type checking (#679 <https://github.com/ros2/launch/issues/679>)
  * Contributors: Chris Lalancette, Hervé Audren, Welte, Yadu

 -- Aditya Pande <aditya.pande@openrobotics.org>  Tue, 11 Apr 2023 00:00:00 -0000

ros-rolling-launch (1.4.1-1jammy) jammy; urgency=high

  * Fixed typos (#692 <https://github.com/ros2/launch/issues/692>)
  * Contributors: Alejandro Hernández Cordero

 -- Aditya Pande <aditya.pande@openrobotics.org>  Fri, 24 Feb 2023 00:00:00 -0000

ros-rolling-launch (1.4.0-1jammy) jammy; urgency=high

  * Pass modules to PythonExpression (#655 <https://github.com/ros2/launch/issues/655>)
  * Allow ReadyToTest() usage in event handler (#665 <https://github.com/ros2/launch/issues/665>)
  * Expose emulate_tty to xml and yaml launch (#669 <https://github.com/ros2/launch/issues/669>)
  * Expose sigterm_timeout and sigkill_timeout to xml frontend (#667 <https://github.com/ros2/launch/issues/667>)
  * [rolling] Update maintainers - 2022-11-07 (#671 <https://github.com/ros2/launch/issues/671>)
  * Contributors: Aditya Pande, Audrow Nash, Blake Anderson, Nikolai Morin

 -- Aditya Pande <aditya.pande@openrobotics.org>  Tue, 14 Feb 2023 00:00:00 -0000

ros-rolling-launch (1.3.0-1jammy) jammy; urgency=high

  * Expect deprecation warnings in tests (#657 <https://github.com/ros2/launch/issues/657>)
  * Fix the restoring of os.environ to maintain type. (#656 <https://github.com/ros2/launch/issues/656>)
  * Implement Any, All, Equals, and NotEquals substitutions (#649 <https://github.com/ros2/launch/issues/649>)
  * add LaunchLogDir substitution, replacing log_dir frontend only substitution (#652 <https://github.com/ros2/launch/issues/652>)
  * Add special cases to coerce "1" and "0" to bool when using bool coercion only (#651 <https://github.com/ros2/launch/issues/651>)
  * Contributors: Chris Lalancette, Jacob Perron, William Woodall, methylDragon

 -- Aditya Pande <aditya.pande@openrobotics.org>  Wed, 02 Nov 2022 00:00:00 -0000

ros-rolling-launch (1.2.0-1jammy) jammy; urgency=high

  * Update launch/test/launch/test_execute_local.py
  * Added unit test ensuring that output dictionary works with ExecuteLocal
  * Addresses issue #588 <https://github.com/ros2/launch/issues/588>, allowing dict for 'output'
  * Contributors: Matthew Elwin, Michael Jeronimo

 -- Aditya Pande <aditya.pande@openrobotics.org>  Tue, 13 Sep 2022 00:00:00 -0000

ros-rolling-launch (1.1.0-1jammy) jammy; urgency=high

  * Remove unused variables. (#612 <https://github.com/ros2/launch/issues/612>)
  * Expose shutdown action to xml frontend (#611 <https://github.com/ros2/launch/issues/611>)
  * Contributors: Aditya Pande, Chris Lalancette

 -- Aditya Pande <aditya.pande@openrobotics.org>  Fri, 29 Apr 2022 00:00:00 -0000

ros-rolling-launch (1.0.1-1jammy) jammy; urgency=high

  * Sandbox environment in tests to fix repeated job failures (#609 <https://github.com/ros2/launch/issues/609>)
  * Contributors: Shane Loretz

 -- Aditya Pande <aditya.pande@openrobotics.org>  Wed, 13 Apr 2022 00:00:00 -0000

ros-rolling-launch (1.0.0-1jammy) jammy; urgency=high



 -- Aditya Pande <aditya.pande@openrobotics.org>  Tue, 12 Apr 2022 00:00:00 -0000

ros-rolling-launch (0.23.1-1jammy) jammy; urgency=high

  * Start Python faster in test_execute_processs_shutdown to avoid flakey failures (#608 <https://github.com/ros2/launch/issues/608>)
  * Fix warnings from importlib_metdata on Python 3.10. (#606 <https://github.com/ros2/launch/issues/606>)


=== debian/control ===
--- 
+++ 
@@ -2,7 +2,7 @@
 Section: misc
 Priority: optional
 Maintainer: Aditya Pande <aditya.pande@openrobotics.org>
-Build-Depends: debhelper (>= 9.0.0), python3-pytest, ros-rolling-ament-copyright, ros-rolling-ament-flake8, ros-rolling-ament-pep257, ros-rolling-osrf-pycommon, ros-rolling-ros-workspace, python3-all, python3-setuptools
+Build-Depends: debhelper (>= 9.0.0), python3-pytest <!nocheck>, ros-rolling-ament-copyright <!nocheck>, ros-rolling-ament-flake8 <!nocheck>, ros-rolling-ament-mypy <!nocheck>, ros-rolling-ament-pep257 <!nocheck>, ros-rolling-osrf-pycommon, ros-rolling-ros-workspace, python3-all, python3-setuptools, dh-python
 Homepage: 
 Standards-Version: 3.9.2

=== debian/rules ===
--- 
+++ 
@@ -23,8 +23,10 @@
 	--install-lib "\$$base/lib/{interpreter}/site-packages" \
 	 --install-scripts "\$$base/bin" 
 
+DEB_HOST_GNU_TYPE ?= $(shell dpkg-architecture -qDEB_HOST_GNU_TYPE)
+
 %:
-	dh $@ -v --buildsystem=pybuild --with python3
+	dh $@ -v --buildsystem=pybuild --with python3 --builddirectory=.obj-$(DEB_HOST_GNU_TYPE)
 
 override_dh_auto_configure:
 	# In case we're installing to a non-standard location, look for a setup.sh
